summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/mlt/mlt.SlackBuild6
-rw-r--r--deps/mlt/patches/mlt_qt515.patch49
2 files changed, 54 insertions, 1 deletions
diff --git a/deps/mlt/mlt.SlackBuild b/deps/mlt/mlt.SlackBuild
index 361bcae..e6139cb 100755
--- a/deps/mlt/mlt.SlackBuild
+++ b/deps/mlt/mlt.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
VERSION=${VERSION:-6.20.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
PYTHONSITEPKG=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
@@ -84,6 +84,10 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Apply patches:
+# Make mlt compile against Qt 5.15:
+cat $CWD/patches/mlt_qt515.patch | patch -p1 --verbose || exit 1
+
# Fix bogus permissions:
chown -R root:root .
find . \
diff --git a/deps/mlt/patches/mlt_qt515.patch b/deps/mlt/patches/mlt_qt515.patch
new file mode 100644
index 0000000..edc1837
--- /dev/null
+++ b/deps/mlt/patches/mlt_qt515.patch
@@ -0,0 +1,49 @@
+From f58b44d73442986eeffec7431e59b7d19d214c1b Mon Sep 17 00:00:00 2001
+From: Heiko Becker <heirecka@exherbo.org>
+Date: Tue, 24 Mar 2020 21:17:05 +0100
+Subject: [PATCH] Fix build with Qt 5.15.0
+
+QPainterPath is no longer included via qtransform.h (since
+5.15.0-beta2, 50d2acdc93b4de2ba56eb67787e2bdcb21dd4bea in qtbase.git).
+---
+ src/modules/qt/filter_qtext.cpp | 1 +
+ src/modules/qt/graph.cpp | 1 +
+ src/modules/qt/producer_qtext.cpp | 1 +
+ 3 files changed, 3 insertions(+)
+
+diff --git a/src/modules/qt/filter_qtext.cpp b/src/modules/qt/filter_qtext.cpp
+index c3de1fadc..c3e10f1a3 100644
+--- a/src/modules/qt/filter_qtext.cpp
++++ b/src/modules/qt/filter_qtext.cpp
+@@ -21,6 +21,7 @@
+ #include <framework/mlt.h>
+ #include <framework/mlt_log.h>
+ #include <QPainter>
++#include <QPainterPath>
+ #include <QString>
+
+ static QRectF get_text_path( QPainterPath* qpath, mlt_properties filter_properties, const char* text, double scale )
+diff --git a/src/modules/qt/graph.cpp b/src/modules/qt/graph.cpp
+index 6d4d669ca..7e91bb12f 100644
+--- a/src/modules/qt/graph.cpp
++++ b/src/modules/qt/graph.cpp
+@@ -18,6 +18,7 @@
+ */
+
+ #include "graph.h"
++#include <QPainterPath>
+ #include <QVector>
+ #include <math.h>
+
+diff --git a/src/modules/qt/producer_qtext.cpp b/src/modules/qt/producer_qtext.cpp
+index 603c2b780..ff95a8e26 100644
+--- a/src/modules/qt/producer_qtext.cpp
++++ b/src/modules/qt/producer_qtext.cpp
+@@ -26,6 +26,7 @@
+ #include <QImage>
+ #include <QColor>
+ #include <QPainter>
++#include <QPainterPath>
+ #include <QFont>
+ #include <QString>
+ #include <QTextCodec>